Bug 122009 - Filters from evolution-1.4.5-7 do not work.
Filters from evolution-1.4.5-7 do not work.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 13:55 EDT by Ivo Sarak
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:04:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2004-04-29 13:55:59 EDT
Description of problem:
I installed a FC2 Test3 from scratch, but moved my Evolution directory
and configuration over from FC1. I see all my userdefined filters, but
 nothing will happen if to apply them over the messages, just
"Filtering Folders ..." message. 

Version-Release number of selected component (if applicable):
(This is vanilla FC2 Test3, no updates.)
evolution-1.4.6-1

How reproducible:
Always.

Steps to Reproduce:
1. Install FC2 Test3;
2. Move over ~/evolution and ~/.gconf/apps/evolution from FC1 to this
system;
3. Start Evolution, check mail and apply filters over Inbox;
  
Actual results:
Only "Filtering Folders ..." message and no mails get filtered.

Expected results:
Filters applied just fine.

Additional info:
Comment 1 Phil Schaffner 2004-05-28 10:59:47 EDT
Encountered non-working filters after upgrade to FC2 and
evolution-1.5.8-2.  After manually updating a couple of filters by
re-specifying target directory and inspecting
.evolution/mail/filters.xml found a workaround.  Edit that file and
change all occurances of

  file:///home/<username>/evolution/local
to
  email://local@local

then delete all occurances of /subfolders

Select all files in the Inbox and type "Ctrl-Y" or select "Apply
Filters" from the menu.
Comment 2 Farzaneh Sarafraz 2005-04-28 11:43:07 EDT
The same problem happens when you create a new filter in evolution-2.2.2-1.
Define a new filter: move all mails whose from is/contains <a string> to folder
<a folder>. then receive a mail which matches the criteria. The email remains in
Inbox instead of automatically being moved to the specified folder.
Comment 3 John Thacker 2006-10-30 09:45:08 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 4 John Thacker 2007-01-12 10:04:41 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.